> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpoppy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat with knowledge base

> Continue an existing conversation thread with your assistant

This endpoint lets you continue an ongoing conversation with your assistant, keeping the context from previous messages.

## URL Parameters

<ParamField path="conversationId" type="string" required>
  The ID of the to continue the conversation with
</ParamField>

## Query Parameters

<ParamField query="api_key" type="string">
  Your API key for authentication
</ParamField>

<ParamField query="board_id" type="string" required>
  The ID of the board to use for the conversation
</ParamField>

<ParamField query="chat_id" type="string" required>
  The ID of the chat node within the board
</ParamField>

<ParamField query="prompt" type="string" required>
  The follow-up question or prompt for the AI
</ParamField>

<ParamField query="model" type="string" default="claude-sonnet-4-6">
  The AI model to use. Allowed values: claude-sonnet-4-6, claude-sonnet-4-5, o3-mini, gpt-4o,
  grok-2-1212, gpt-4o-mini
</ParamField>

<ParamField query="save_history" type="boolean">
  Whether save the answer in the chat
</ParamField>

<ParamField query="plaintext" type="string" default={false}>
  Force the AI response to use plain text instead of markdown. Allowed values are "true" or
  "active". Any other value will disable plaintext.
</ParamField>

<ParamField query="streaming" type="string" default={false}>
  Return the answer as a stream instead of a JSON. Allowed values are "true" or "active". Any other
  value will disable streaming.
</ParamField>

<ParamField query="include_usage" type="string" default={false}>
  When streaming is enabled, set this to "true" or "active" to receive credit usage information as a final chunk
  in the stream. The usage chunk will be appended after the `finish` event with the format:
  `{"type":"usage","credits_used":0.123}`. This is similar to OpenAI's `stream_options.include_usage` parameter.
</ParamField>

<ParamField query="additional_context" type="string" default=" ">
  Additional information to provide as context to the AI
</ParamField>

<ParamField query="user" type="string">
  Optional user identifier
</ParamField>

<ParamField query="source" type="string">
  Optional source of the request
</ParamField>

## Response

<ResponseField name="text" type="string">
  The AI-generated response to the prompt
</ResponseField>

<ResponseField name="credits_used" type="number">
  The number of credits used for this request
</ResponseField>

<ResponseField name="credits_remaining" type="number">
  The total number of credits remaining in your account
</ResponseField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "text": "I apologize for the confusion. According to the information you provided earlier, your favorite number is 444.",
    "credits_used": 0.02885,
    "credits_remaining": 1853.71700
  }
  ```
</ResponseExample>

<Note>
  This endpoint is functionally equivalent to the POST /api/conversation/{conversationId} endpoint,
  but allows for easier testing and integration in contexts where POST requests are difficult to
  implement.
</Note>
